/**
 * @file temprature.hpp
 * @brief Temperature component header
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#ifndef TEMPRATURE_HPP
#define TEMPRATURE_HPP

#include <cstdint>

/**
 * @brief Temperature class
 * 
 * Component description goes here.
 */
class Temperature
{
public:
    Temperature();
    ~Temperature();

    bool initialize();
    bool deinitialize();
    bool isInitialized() const;

private:
    bool m_isInitialized;
};

#endif // TEMPRATURE_HPP
